Subject: Re: [Sidrops] proposal to update SIDROPS charter (requirement for multiple implementations before IESG/RFC publication)

From: Christopher Morrow <[email-masked]>
Date: Tue, 9 Mar 2021 22:33:55 -0500

Hey there, before we get to the meeting time in the morning....

I think some chat about the charter change SHOULD happen at the end of
the meeting period tomorrow (time permitting).
I think there's a decent call for :"Hey, can we get some working code
/ 2x implementations before we move to IESG finality on a document?"
   (I presume that would apply where changes to code and protocol and
ops would dictate code/ implementations.. this seems obvious, but :) )

I think these things sound good to me (need implementations before we
release the kraken(s) ).
I think one good outcome of this form of change SHOULD be that we get
some more operational experience with how the changes being proposed
will:
  1) work in the ecosystem as it stands
  2) make the system more operable
  3) bring to light corner cases which we didn't envision when we
wrote documents/etc :)
  4) permit us to gain experience and better fight off the whalers in
the IESG when they have their inevitable quibbles with our world
view(s). :)

On Wed, Dec 16, 2020 at 6:46 AM George Michaelson <[email-masked]> wrote:
>
> On Wed, Dec 9, 2020 at 12:28 AM Job Snijders <[email-masked]> wrote:
> >
> > Dear all,
> >
> > I propose some following text detailing a requirement for multiple
> > implementations to exist prior to RFC publication will be beneficial to
> > the working group.
> >
> > Our neighbors at the IDR working group are known to have a similar
> > requirement, which has dramatically improved the quality of that working
> > group's specifications and subsequently the deployability of IDR
> > technologies. I hope the same can be achieved in SIDROPS.
> >
> > IDR participants track implementation reports & interopability testing
> > through internet-drafts or their Wiki
> > https://trac.ietf.org/trac/idr/wiki/Protocol%20implementations%20Reports
> >
> > Here are some examples of what reports can look like:
> >
> >     https://trac.ietf.org/trac/idr/wiki/draft-ietf-idr-rfc8203bis
> >     https://trac.ietf.org/trac/idr/wiki/draft-ietf-rfc5575bis%20implementations
> >     https://trac.ietf.org/trac/idr/wiki/draft-ietf-idr-large-community%20implementations
> >
> > Proposed text to add to the SIDROPS charter:
> >
> > """
> >     Specifications produced by the SIDROPS working group are intended to
> >     address a practical need where a standard specification can assist
> >     both vendors and consumers of cryptographic PKIX products to be
> >     assured that a standards conformant implementation will undertake
> >     certain functions in a known manner, and that, as appropriate,
> >     implementations of the standard specification from different vendors
> >     will indeed interoperate in intended ways. The SIDROPS working group
> >     requires interopability reports from at least two different
> >     implementations of a proposed specification, prior to publication as
> >     RFC.
> > """
> >
> > Kind regards,
> >
> > Job
> >
>
> I think this would be sensible. From a CA, producer-side point of
> view, I think having confidence of interop demonstrated, and having
> this in both producer and consumer (signer and validator)  would be
> net beneficial.
>
> cheers
>
> -george
>
> _______________________________________________
> Sidrops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sidrops